
Redmine - Feature #14390

Notes private by default

2013-07-03 11:13 - Heinz Scholz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi everyone,

we are thinking about opening redmine to our customers. The option to set a note as private is very helpful, but it is too easy to forget

to check the private flag.

Would it be possible to implement a feature that makes notes in a specific project,tracker and role private by default?

Related issues:

Is duplicate of Redmine - Feature #9432: Default value for the private issue ... New 2011-10-17

History

#1 - 2013-07-04 22:24 - Jan Niggemann (redmine.org team member)

This would IMHO only be helpful in very few scenarios...

#2 - 2013-07-06 01:16 - Anonymous

I modded Redmine to do this once. Check out my comment in issue #9432-30. Added a setting for issue privacy and note privacy defaults to each

project. It's the gritty way of doing it, but it'll get you there if it's important enough.

There's no tracker granularity to it (that's too complex for me), but it covers project and role at least (Redmine already has role settings for private note

visibility).

#3 - 2013-07-11 01:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

I close as duplicate #9432.

#4 - 2013-07-11 01:38 - Toshi MARUYAMA

- Is duplicate of Feature #9432: Default value for the private issue flag added
